RZ608 MTK7921K WiFi adapter not found

I have a fresh F35 install and I cant fix my WiFi at all.

I have an MSI Modern 15 A5M with a Ryzen 5500U processor.
Everything else works except the WiFi.
I updated to the latest kernel 5.17 via Rawhide repos, rebooted. The kernel hanged, i force rebooted, the wifi was working, but after another reboot it is broken again.

When installing lspci was showing me this :
Network controller: MEDIATEK Corp. Device 0608

I tried the udev rule / modprobe solution that i found on askUbuntu, but no luck.

modinfo mt7921e | grep alias gives me this:

alias: pci:v000014C3d00000616svsdbcsci*
alias: pci:v000014C3d00000608svsdbcsci*
alias: pci:v000014C3d00007922svsdbcsci*
alias: pci:v000014C3d00007961svsdbcsci*

Rigth now i only have kernel 5.17 rc2 installed, no udev modprobe rules.

Would you like to try with kernel 5.16.x and see if the trouble still present? At this time the stable kernel for F35 is 5.16.x.

I tried with 5.16.5 i do believe. No change. With or without udev rules.

Would you like to post the result of lspci -k | grep -A 5 -iE "network|wireless|ethernet" here? If you have custom driver installed for your wireless card, I suggest you boot to the kernel version where you installing the driver.

I get no results from lspci -k | grep -A 5 -iE "network|wireless|ethernet"

my bad, it should be lspci -v | grep -A 5 -iE "network|wireless|ethernet". Use -v instead of -k. Or just use lspci -v

Still nothing. There are no “Network” driver in lspci as well.

The issue is that you tried a testing kernel that is not 100% compatible with what you have for hardware and other software.

I would first uninstall the kernel from rawhide, so it does not influence the remainder of the system.
Then reinstall the 5.16.X kernel for F35 and reboot to see if the issue is resolved.
If not, then at least you are working with a known stable environment that was previously working and it will be easier to locate the problem

Known issue with this kernel, and still not working in 5.17:

See [1] for possible resolution (I could not get it to work in Fedora 35 or 36 beta, but the solution DID work for Pop!_OS 22.04)

See below for reference:
[1] RZ608 MT7921K Wireless LAN Driver is not supported on ubuntu 18.04 - Ask Ubuntu
[2] introduce mt7921e support [LWN.net]